# geometry.h File Reference

Go to the source code of this file.

## Data Structures

struct | _AffineMatrix
struct | _GeometryInfo
struct | _RectangleInfo

## Typedefs

typedef struct _AffineMatrix | AffineMatrix
typedef struct _GeometryInfo | GeometryInfo
typedef struct _RectangleInfo | RectangleInfo

## Enumerations

enum

GeometryFlags {
NoValue = 0x0000, PsiValue = 0x0001, XValue = 0x0001, XiValue = 0x0002,
YValue = 0x0002, RhoValue = 0x0004, WidthValue = 0x0004, SigmaValue = 0x0008,
HeightValue = 0x0008, ChiValue = 0x0010, XiNegative = 0x0020, XNegative = 0x0020,
PsiNegative = 0x0040, YNegative = 0x0040, ChiNegative = 0x0080, PercentValue = 0x1000,
AspectValue = 0x2000, LessValue = 0x4000, GreaterValue = 0x8000, MinimumValue = 0x10000,
AreaValue = 0x20000, DecimalValue = 0x40000, AllValues = 0x7fffffff
}

enum | GravityType { UndefinedGravity, ForgetGravity = 0, NorthWestGravity = 1, NorthGravity = 2, NorthEastGravity = 3, WestGravity = 4, CenterGravity = 5, EastGravity = 6, SouthWestGravity = 7, SouthGravity = 8, SouthEastGravity = 9, StaticGravity = 10 }

## Functions

MagickExport char * | GetPageGeometry (const char *)
MagickExport MagickBooleanType | IsGeometry (const char *)
MagickExport MagickBooleanType | IsSceneGeometry (const char *, const MagickBooleanType)
MagickExport MagickStatusType | GetGeometry (const char *, long *, long *, unsigned long *, unsigned long *)
MagickExport MagickStatusType | ParseAbsoluteGeometry (const char *, RectangleInfo *)
MagickExport MagickStatusType | ParseAffineGeometry (const char *, AffineMatrix *)
MagickExport MagickStatusType | ParseGeometry (const char *, GeometryInfo *)
MagickExport MagickStatusType | ParseGravityGeometry (Image *, const char *, RectangleInfo *)
MagickExport MagickStatusType | ParseMetaGeometry (const char *, long *, long *, unsigned long *, unsigned long *)
MagickExport MagickStatusType | ParsePageGeometry (Image *, const char *, RectangleInfo *)
MagickExport MagickStatusType | ParseSizeGeometry (Image *, const char *, RectangleInfo *)
MagickExport void | GravityAdjustGeometry (const unsigned long, const unsigned long, const GravityType, RectangleInfo *)
MagickExport void | SetGeometry (const Image *, RectangleInfo *)
MagickExport void | SetGeometryInfo (GeometryInfo *)

## Typedef Documentation

typedef struct _AffineMatrix AffineMatrix

typedef struct _GeometryInfo GeometryInfo

typedef struct _RectangleInfo RectangleInfo

## Enumeration Type Documentation

enum GeometryFlags

Enumerator:

  NoValue |
  PsiValue |
  XValue |
  XiValue |
  YValue |
  RhoValue |
  WidthValue |
  SigmaValue |
  HeightValue |
  ChiValue |
  XiNegative |
  XNegative |
  PsiNegative |
  YNegative |
  ChiNegative |
  PercentValue |
  AspectValue |
  LessValue |
  GreaterValue |
  MinimumValue |
  AreaValue |
  DecimalValue |
  AllValues |

enum GravityType

Enumerator:

  UndefinedGravity |
  ForgetGravity |
  NorthWestGravity |
  NorthGravity |
  NorthEastGravity |
  WestGravity |
  CenterGravity |
  EastGravity |
  SouthWestGravity |
  SouthGravity |
  SouthEastGravity |
  StaticGravity |

## Function Documentation

MagickExport MagickStatusType GetGeometry | ( | const char * | ,
|  | long * | ,
|  | long * | ,
|  | unsigned long * | ,
|  | unsigned long * |  |
| ) |  |  |

MagickExport char* GetPageGeometry | ( | const char * |  | ) |

MagickExport void GravityAdjustGeometry | ( | const unsigned long | ,
|  | const unsigned long | ,
|  | const | GravityType,
|  | RectangleInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType IsGeometry | ( | const char * |  | ) |

MagickExport MagickBooleanType IsSceneGeometry | ( | const char * | ,
|  | const | MagickBooleanType |
| ) |  |  |

MagickExport MagickStatusType ParseAbsoluteGeometry | ( | const char * | ,
|  | RectangleInfo * |  |
| ) |  |  |

MagickExport MagickStatusType ParseAffineGeometry | ( | const char * | ,
|  | AffineMatrix * |  |
| ) |  |  |

MagickExport MagickStatusType ParseGeometry | ( | const char * | ,
|  | GeometryInfo * |  |
| ) |  |  |

MagickExport MagickStatusType ParseGravityGeometry | ( | Image * | ,
|  | const char * | ,
|  | RectangleInfo * |  |
| ) |  |  |

MagickExport MagickStatusType ParseMetaGeometry | ( | const char * | ,
|  | long * | ,
|  | long * | ,
|  | unsigned long * | ,
|  | unsigned long * |  |
| ) |  |  |

MagickExport MagickStatusType ParsePageGeometry | ( | Image * | ,
|  | const char * | ,
|  | RectangleInfo * |  |
| ) |  |  |

MagickExport MagickStatusType ParseSizeGeometry | ( | Image * | ,
|  | const char * | ,
|  | RectangleInfo * |  |
| ) |  |  |

MagickExport void SetGeometry | ( | const Image * | ,
|  | RectangleInfo * |  |
| ) |  |  |

MagickExport void SetGeometryInfo | ( | GeometryInfo * |  | ) |